com.sun.java.xml.ns.javaee

## Class HandlerType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.HandlerType

-     public class HandlerType
      extends Object

  Declares the handler for a port-component, service-ref. Handlers can access the init-param name/value pairs using the HandlerInfo interface. Used in: port-component, service-ref

  Java-Klasse für handlerType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="handlerType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://java.sun.com/xml/ns/javaee}descriptionGroup"/>
               <element name="handler-name" type="{http://java.sun.com/xml/ns/javaee}string"/>
               <element name="handler-class" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType"/>
               <element name="init-param" type="{http://java.sun.com/xml/ns/javaee}param-valueType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="soap-header" type="{http://java.sun.com/xml/ns/javaee}xsdQNameType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="soap-role" type="{http://java.sun.com/xml/ns/javaee}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="port-name" type="{http://java.sun.com/xml/ns/javaee}string" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected List<DisplayNameType>` | `displayName`
    `protected FullyQualifiedClassType` | `handlerClass`
    `protected String` | `handlerName`
    `protected List<IconType>` | `icon`
    `protected String` | `id`
    `protected List<ParamValueType>` | `initParam`
    `protected List<String>` | `portName`
    `protected List<XsdQNameType>` | `soapHeader`
    `protected List<String>` | `soapRole`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlerType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `List<DisplayNameType>` | `getDisplayName()` Gets the value of the displayName property.
    `FullyQualifiedClassType` | `getHandlerClass()` Ruft den Wert der handlerClass-Eigenschaft ab.
    `String` | `getHandlerName()` Ruft den Wert der handlerName-Eigenschaft ab.
    `List<IconType>` | `getIcon()` Gets the value of the icon property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<ParamValueType>` | `getInitParam()` Gets the value of the initParam property.
    `List<String>` | `getPortName()` Gets the value of the portName property.
    `List<XsdQNameType>` | `getSoapHeader()` Gets the value of the soapHeader property.
    `List<String>` | `getSoapRole()` Gets the value of the soapRole property.
    `void` | `setHandlerClass(FullyQualifiedClassType value)` Legt den Wert der handlerClass-Eigenschaft fest.
    `void` | `setHandlerName(String value)` Legt den Wert der handlerName-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### displayName

          protected List<DisplayNameType> displayName

    - #### icon

          protected List<IconType> icon

    - #### handlerName

          protected String handlerName

    - #### handlerClass

          protected FullyQualifiedClassType handlerClass

    - #### initParam

          protected List<ParamValueType> initParam

    - #### soapHeader

          protected List<XsdQNameType> soapHeader

    - #### soapRole

          protected List<String> soapRole

    - #### portName

          protected List<String> portName

    - #### id

          protected String id

  - ### Constructor Detail

    - #### HandlerType

          public HandlerType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getDisplayName

          public List<DisplayNameType> getDisplayName()

      Gets the value of the displayName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the displayName property.

      For example, to add a new item, do as follows:

              getDisplayName().add(newItem);

      Objects of the following type(s) are allowed in the list `DisplayNameType`

    - #### getIcon

          public List<IconType> getIcon()

      Gets the value of the icon property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the icon property.

      For example, to add a new item, do as follows:

              getIcon().add(newItem);

      Objects of the following type(s) are allowed in the list `IconType`

    - #### getHandlerName

          public String getHandlerName()

      Ruft den Wert der handlerName-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setHandlerName

          public void setHandlerName(String value)

      Legt den Wert der handlerName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getHandlerClass

          public FullyQualifiedClassType getHandlerClass()

      Ruft den Wert der handlerClass-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setHandlerClass

          public void setHandlerClass(FullyQualifiedClassType value)

      Legt den Wert der handlerClass-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getInitParam

          public List<ParamValueType> getInitParam()

      Gets the value of the initParam property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the initParam property.

      For example, to add a new item, do as follows:

              getInitParam().add(newItem);

      Objects of the following type(s) are allowed in the list `ParamValueType`

    - #### getSoapHeader

          public List<XsdQNameType> getSoapHeader()

      Gets the value of the soapHeader property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the soapHeader property.

      For example, to add a new item, do as follows:

              getSoapHeader().add(newItem);

      Objects of the following type(s) are allowed in the list `XsdQNameType`

    - #### getSoapRole

          public List<String> getSoapRole()

      Gets the value of the soapRole property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the soapRole property.

      For example, to add a new item, do as follows:

              getSoapRole().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getPortName

          public List<String> getPortName()

      Gets the value of the portName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the portName property.

      For example, to add a new item, do as follows:

              getPortName().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.